#include <Core/HAL/Display/Window.h>
#include <Core/HAL/Event/SystemEvent.h>
#include <Core/HAL/Event/WindowEvent.h>

namespace Juliet
{
    bool SendWindowEvent(Window* window, EventType type)
    {
        Assert(window);

        SystemEvent evt;
        evt.Timestamp                      = 0;
        evt.Type                           = type;
        evt.Data.Window.AssociatedWindowID = window->ID;

        bool evtPosted = AddEvent(evt);

        return evtPosted;
    }

} // namespace Juliet
